Package de.gebit.integrity.ui

## Class DSLUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule
      - - de.gebit.integrity.ui.AbstractDSLUiModule
        - - de.gebit.integrity.ui.DSLUiModule

- All Implemented Interfaces:
    `com.google.inject.Module`

      public class DSLUiModule
      extends AbstractDSLUiModule

  Use this class to register components to be used within the IDE.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLUiModule​(org.eclipse.ui.plugin.AbstractUIPlugin aPlugin)` | Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper>` | `bindAbstractAntlrTokenToAttributeIdMapper()` | Binds the Antlr token to attribute ID mapper.
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalPriorities>` | `bindContentProposalPriorities()` | Defines the `IContentProposalPriorities` implementation.
    `Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider>` | `bindEObjectHoverProvider()` | Binds the hover provider.
    `Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration>` | `bindHighlightingConfiguration()` | Binds the highlighting configuration.
    `Class<? extends org.eclipse.xtext.documentation.IEObjectDocumentationProvider>` | `bindIEObjectDocumentationProvider()` | Binds the provider.
    `Class<? extends IntegritySearch>` | `bindIntegritySearch()` | Defines the `IntegritySearch` implementation.
    `Class<? extends IntegrityURLResolver>` | `bindIntegrityURLResolver()` | Defines the `IntegrityURLResolver` implementation.
    `Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator>` | `bindISemanticHighlightingCalculator()` | Binds the semantic highlighting calculator.
    `Class<? extends org.eclipse.xtext.formatting.IWhitespaceInformationProvider>` | `bindIWhitespaceInformationProvider()` |
    `Class<? extends org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage>` | `bindLanguageRootPreferencePage()` | Overrides the root language preference page.
    `Class<? extends org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy>` | `bindLexerTokenAndCharacterPairAwareStrategy()` | Defines our custom `DoubleClickStrategyProvider` implementation.
    `Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher>` | `bindPrefixMatcher()` | Defines the `PrefixMatcher` implementation.
    `Class<? extends org.eclipse.xtext.ui.editor.XtextEditor>` | `bindXtextEditor()` | Overrides the editor.

    - ### Methods inherited from class de.gebit.integrity.ui.AbstractDSLUiModule

      `bindContentAssistContext$Factory, bindDocumentBasedDirtyResource, bindIContentAssistParser, bindIContentProposalProvider, bindIContextualOutputConfigurationProvider, bindIDependentElementsCalculator, bindILabelProvider, bindIOutlineTreeProvider, bindIOutlineTreeStructureProvider, bindIPartialContentAssistParser, bindIProposalConflictHelper, bindIReferenceUpdater, bindIRenameRefactoringProvider, bindIRenameStrategy, bindIRenameSupport$Factory, bindIssueResolutionProvider, bindIViewerCreator, bindIWorkspaceRootToInstance, bindIXtextBuilderParticipant, bindIXtextEditorCallback, bindLanguageRegistrar, bindXtextTemplatePreferencePage, configureBuilderPreferenceStoreInitializer, configureCompareViewerTitle, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, configureIPreferenceStoreInitializer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsPersisted, configureResourceUIServiceLabelProvider, provideIAllContainersState, provideLanguageRegistry, provideTemplatesLanguageConfiguration`

    - ### Methods inherited from class org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule

      `bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator, bindAbstractTypeScopeProvider, bindClassLoaderToInstance, bindDirtyStateEditorSupport, bindIHyperlinkHelper, bindIJavaProjectProvider, bindIJavaSearchParticipation, bindIJvmTypeProvider$Factory, bindITypesProposalProvider, bindIValidationJobScheduler, bindRefactoringResourceSetProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

      `bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindIBuildPreferenceEvaluator, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindICopyQualifiedNameService, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureSpellChecker, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLUiModule

          public DSLUiModule​(org.eclipse.ui.plugin.AbstractUIPlugin aPlugin)

      Constructs a new instance.
      Parameters:
        `aPlugin` -

  - ### Method Detail

    - #### bindIEObjectDocumentationProvider

          public Class<? extends org.eclipse.xtext.documentation.IEObjectDocumentationProvider> bindIEObjectDocumentationProvider()

      Binds the provider.
      Returns:

    - #### bindHighlightingConfiguration

          public Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration> bindHighlightingConfiguration()

      Binds the highlighting configuration.
      Returns:

    - #### bindAbstractAntlrTokenToAttributeIdMapper

          public Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.AbstractAntlrTokenToAttributeIdMapper> bindAbstractAntlrTokenToAttributeIdMapper()

      Binds the Antlr token to attribute ID mapper.
      Returns:

    - #### bindISemanticHighlightingCalculator

          public Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator> bindISemanticHighlightingCalculator()

      Binds the semantic highlighting calculator.
      Returns:

    - #### bindEObjectHoverProvider

          public Class<? extends org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider> bindEObjectHoverProvider()

      Binds the hover provider.
      Returns:

    - #### bindXtextEditor

          public Class<? extends org.eclipse.xtext.ui.editor.XtextEditor> bindXtextEditor()

      Overrides the editor.
      Returns:

    - #### bindLanguageRootPreferencePage

          public Class<? extends org.eclipse.xtext.ui.editor.preferences.LanguageRootPreferencePage> bindLanguageRootPreferencePage()

      Overrides the root language preference page.
      Returns:

    - #### bindIntegritySearch

          public Class<? extends IntegritySearch> bindIntegritySearch()

      Defines the `IntegritySearch` implementation.
      Returns:

    - #### bindIntegrityURLResolver

          public Class<? extends IntegrityURLResolver> bindIntegrityURLResolver()

      Defines the `IntegrityURLResolver` implementation.
      Returns:

    - #### bindPrefixMatcher

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher> bindPrefixMatcher()

      Defines the `PrefixMatcher` implementation.
      Overrides:
        `bindPrefixMatcher` in class `AbstractDSLUiModule`
      Returns:

    - #### bindIWhitespaceInformationProvider

          public Class<? extends org.eclipse.xtext.formatting.IWhitespaceInformationProvider> bindIWhitespaceInformationProvider()

      Overrides:
        `bindIWhitespaceInformationProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindContentProposalPriorities

          public Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalPriorities> bindContentProposalPriorities()

      Defines the `IContentProposalPriorities` implementation.
      Returns:

    - #### bindLexerTokenAndCharacterPairAwareStrategy

          public Class<? extends org.eclipse.xtext.ui.editor.doubleClicking.LexerTokenAndCharacterPairAwareStrategy> bindLexerTokenAndCharacterPairAwareStrategy()

      Defines our custom `DoubleClickStrategyProvider` implementation.
      Returns: